-- $Name: Перекресток миров$
-- $Version: 0.7$

instead_version "1.8.1"
require "hideinv"
require "quotes"
--require "para"
require "dash"
dofile "parser/metaparser.lua"
set_music 'andante.mod'
input.cursor = img 'cursor.gif'

game.pic = 'bar.png'

morph:word({ female = true, 
		    singular = true, 
		    "Габриэла", 
		    "Габриэлу", 
		    "Габриэле", 
		    "Габриэлу", 
		    "Габриэлой", 
		    "Габриэле" })

morph.debug = true
morph.yo = false
morph:init 'main.lua'

me().person = 2
-- parser.filter = false
-- parser.scroll = true
me().Exam = [[На тебе надеты коричневые брюки, рубашка, а поверх неё жилетка.]];

global { 
	knocking = 0;
	bookrcvd = 0;
	grotknow = 0;
}

main = room {
	nam = 'Пролог';
	enter = function(s)
		lifeon 'study'
		p "<i>Мистическая текстовая игра за один день. Вжж-8!^Авторы: Антон Артамонов (Apollo) и Всеволод Зубарев (y4n), 2011^(см. также ИНФО).^^";
		p "Адаптировано для INSTEAD Петром Косых в 2012.</i>"
		walk 'study'
	end
}

study = room {
	attr [[ ~general ]];
	nam = 'Кабинет';
	Stand = function(s)
		if armchair.sit then
			s:exit()
			armchair.sit = false
			return
		end
	end;
	dsc = function(s)
		if not s.general then
			s.general = true
			p "Вот ты и остался в этом доме совсем один. Родители уехали в Люблин к родственникам -- сейчас Вроцлав не самое безопасное место.^^";
		end
		p [[Это твоя комната, твой кабинет, где ты часто проводишь время за чтением книг. На письменном столе лежит отрывной календарь.^^
		Деревянные ступеньки ведут вниз на первый этаж дома.]]
	end;
	life = function(s)
		if time() == 10 then
			knocking = 1
			p "Ты слышишь, как кто-то стучится во входную дверь. Должно быть, тот самый почтальон, который должен был доставить книгу.";
		elseif time() == 13 or time() == 16 or time() == 19 then
			p "Кто бы ни пришёл ко входной двери, он снова стучится в неё.";
		end
		if time() > 19 then
			lifeoff(s)
		end
	end;
	exit = function(s, t)
		if t == teleporting then
			return
		end
		if armchair.sit and thebook.reading == 1 or thebook.reading == 2 then
			p "Тебе интересно узнать, что будет дальше в этой книге, поэтому тебе не хочется прерывать чтение.";
			return false
		end
		if armchair.sit then
			armchair.sit = false
			p "Ты встаёшь со своего мягкого кресла.";
			return
		end
	end;
	obj = { 'armchair', 'table' };
	d_to = 'floor1';
}

armchair = obj {
	nam = _"кресло";
	attr [[ ~sit ]];
	Exam = "Твоё любимое кресло.";
	dsc = "Здесь также стоит твоё любимое кресло.";
	alias [[Walk: Sit]];
	Walk = function(s)
		if s.sit then
			p [[Ты и так уже в кресле.]]
			return
		end
		s.sit = true
		if have 'thebook' then
			p "Ты усаживаешься в своё кресло со своей новой книгой в руках.";
			return
		end
		p "Ты усаживаешься в своё кресло.";
	end
}

table = obj {
	attr [[~general ]];
	nam = _"стол";
	Exam = function(s)
		if not s.general then
			s.general = true
			p "Твой письменный стол, на котором лежит календарь. На нём -- 30 августа 1939 года. Ты отрываешь этот листок и открываешь день сегодняшний -- 31 августа.";
		else
			p "Твой письменный стол, на котором лежит календарь. На нём -- 31 августа 1939 года.";
		end
	end;
	Take = "Стол и календарь стоят там, где им положено.";
	Open = "Ты открываешь верхнее отделение стола, не находишь ничего нужного тебе прямо сейчас и закрываешь его обратно.";
	alias [[Take: Push, Pull]];
}

floor1 = room {
	nam = [[На первом этаже]];
	dsc = [[Здесь расположена прихожая, кухня и гостиная комната.
		^^Можно подняться вверх по деревянной лестнице. Входная дверь ведёт на север.]];
	u_to = 'study';
	n_to = function(s)
		parser.redirect = {{'Open', maindoor }}
		return true
	end;
	obj = { 'maindoor' };
}
maindoor = obj {
	nam = _"дверь|~входная дверь|~деревянная дверь";
	Exam = "Толстая входная дверь из качественного дерева.";
	Open = function(s)
		if knocking ~= 0 then
			knocking = 0;
			bookrcvd = 1;
			lifeoff(study)
			take 'package'
			p [[Ты открываешь входную дверь и видишь местного почтальона Томаша, с зонтом в руках, но тем не менее промокшего.^^
				"День добрый", -- говоришь ты, -- "Ну и погодка сегодня..."^^
				"Добрый... да уж, погода в этом году нас не балует. Вот вам обещанная посылка", -- отвечает он и вручает тебе средних размеров свёрток.^^
				"Спасибо большое! И не лень вам было идти в такой дождь, пан?"^^
				"Да вот, работа такая, стараемся", -- улыбается он. "Ладно, я пойду, до свидания!"^^
				Ты прощаешься с ним и закрываешь входную дверь.]]
		else 
			if bookrcvd ~= 0 then
				p "Почтальон уже ушёл, а выходить на улицу в такой дождь не хочется.";
			else
				p "На улице идёт проливной дождь, лучше переждать его дома.";
			end
		end
	end;
}

package = obj {
	nam = _"свёрток|~бумажный сверток";
	Exam = function(s)
		if exist ('thebook',s) then
			p "Бумажный свёрток с чем-то прямоугольным внутри. Наверняка это книга.";
		else
			p "Внутри больше ничего нет, это просто бумажный свёрток.";
		end
	end;
	before_Open = function(s)
		if exist ('thebook', s) then
			thebook:enable();
			move(thebook, me(), s)
			p "Ты разворачиваешь упаковку и обнаруживаешь внутри книгу. Видимо это то, что обещал тебе библиотекарь.";
		else
			p "Внутри свёртка больше ничего нет.";
		end
	end;
	alias [[ before_Open: before_Search ]];
	obj = { 'thebook' };
}

thebook = obj {
	nam = _"книга|~приключенческая книга|~томик";
	Exam = "Толстый томик, с кожаным переплётом и уже пожелтевшими страницами. Переплёт украшен металлическими уголками; на обложке нет названия, но на ней изображены необычные руны.";
	var { reading = 0 };
	alias [[ before_Open: before_Read ]];
	before_Close = function(s)
		if not armchair.sit then
			p [[Книга закрыта.]]
			return
		end
		if s.reading ~= 0 then
			p [[Не хочется её закрывать.]]
			return
		end
		p [[Книга закрыта.]]
	end;
	before_Open = function(s)
		if not armchair.sit then
			p "Читать книги стоя не очень удобно. Ты привык делать это сидя в своём кресле.";
			return
		end
		if s.reading == 0 then
			p "Ты внимательно изучаешь руны на первой странице обложки и затем открываешь книгу.^^Книга начинается с серии красивых иллюстраций, с подписями на каком-то неизвестном тебе языке. На рисунках изображены деревья, материки, океаны.";
		elseif s.reading == 1 then
			p "Ты продолжаешь перелистывать страницы: рисунки попадаются всё реже, начался какой-то основной текст, но тем не менее тебе он непонятен -- кажется, он написан на латыни.";
		elseif s.reading == 2 then
			p "Листая дальше, ты доходишь до середины книги и обнаруживаешь, что на центральном развороте тёмно-красными каллиграфическими буквами выведены два слова: AMORPHUS TELEPORCIUS.^^Ты пролистываешь до конца книги и не находишь в ней больше ничего интересного.";
		else
			p "Ты вновь листаешь книгу, но не находишь в ней ничего нового. Внимание привлекает лишь пара слов, выведенная жирным каллиграфическим почерком на развороте посередине книги: AMORPHUS TELEPORCIUS.";
		end
		s.reading = s.reading + 1
	end;
	Smell = "Ммм, чувствуется предвкушение интересной истории!";
}:disable();

teleporting = cutscene {
	nam = '???';
	dsc = { [[Ты произносишь таинственные слова, AMORPHUS TELEPORCIUS, и понимаешь, что что-то изменилось, что-то не так.^^
		Что это? Ты что-то чувствуешь и вдруг понимаешь, что сходишь с ума: всё пространство вокруг тебя начала окутывать пустота, тьма... ты даже не можешь правильно описать происходящее.]],
		[[Через считанные секунды ты оказываешься уже в кромешной тьме, но ты знаешь, что ты не ослеп. 
			Ещё через мгновение ты ощущаешь, как будто бы тебя куда-то засасывает. Это очень странно и по-настоящему пугающе, когда в полной темноте тебя куда-то стремительно несёт, и ты думаешь, что тебе конец.]],
		[[Ты не успеваешь закончить свою мысль, как вдруг резко тьма вокруг тебя сменяется сине-фиолетовым цветом и ты оказываешься внутри, своего рода, невероятного вихря, который выглядит так завораживающе, что ты боишься даже моргнуть.]],
		[[Затем также быстро, как ты попал сюда, тебя выталкивает куда-то дальше, ты оказываешься в каком-то совершенно новом месте, падаешь на землю и теряешь сознание...]]
	};
	walk_to = 'fakecliffs';
	exit = function()
		remove(thebook, me())
		remove(package, me())
	end
}

fakecliffs = cutscene {
	nam = 'На утёсе';
	dsc = {
		[[Ты лежишь в непонятном месте где-то на природе. Здесь тепло и солнечно, на небе ни облачка. Но первое что ты замечаешь это то, что к тебе подбегает какая-то девушка в оборванном платье.]],
		[[Вы смотрите друг на друга, полные удивления, и она спрашивает: "Кто ты?.. Как ты здесь оказался?"]],
		[["Я... не знаю, я бы хотел узнать то же самое про тебя" -- отвечаешь ты, по-прежнему не понимая, что происходит.]],
		[["Меня зовут Габриэла, я живу на этом острове уже два месяца, и здесь нет ни единой души", -- говорит девушка, -- "Но как <i>ты</i> сюда попал?".]],
		[["Меня зовут Ян, очень приятно... Но ты думаешь, я сам что-то понял? Давай по порядку, дай мне хотя бы подняться на ноги, и я расскажу тебе, как всё произошло", -- говоришь ты в недоумении и, пошатываясь, встаёшь с каменистой земли.]],
	};
	walk_to = 'cliffs';
}

cliffs = room {
	nam = "На утёсе";
	dsc = "Ты стоишь на утёсе, на который тебя выбросило из портала. С южной стороны до самого горизонта простирается голубой океан, здесь довольно высоко -- до воды около 20 метров.^^Тропинка ведёт с утёса на север к какой-то статуе и сплошным джунглям.";
	n_to = 'pied';
	d_to = 'grot1';
	exit = function(s, to)
		if to ~= grot1 then
			return
		end
		if grotknow ~= 0 and tree.general then
			p "Ты осторожно смотришь вниз вдоль крутого обрыва и замечаешь десятью метрами ниже вход в искусственную пещеру. Ты острожно хватаешься за лиану и спускаешься по ней вниз.";
		elseif grotknow ~= 0 then
			p "Ты осторожно смотришь вниз вдоль крутого обрыва и замечаешь десятью метрами ниже вход в искусственную пещеру. Но как туда спуститься?";
			return false
		else
			p "Спрыгнуть вниз?";
			return false
		end
	end;
	obj = { 'tree', 'gabriela' };
}
tree  = obj {
	attr [[~general]];
	nam = _'дерево|~старое дерево';
	Exam = function(s)
		p "Старое дерево с облезлой корой. Его ствол толстый и наверняка крепкий.";
		if s.general then
			p " К одной из ветвей привязана лиана.";
		end
	end;
	dsc =  "На самом краю, возле обрыва, возвышается старое дерево.";
}

gabriela = obj {
	nam = _"Габриэла| ~девушка";
	var { topics = 0; };
	attr [[ ~flower ]];
	live = true;
	female = true;
	singular = true;
--	morph = { "Габриэла", "Габриэлу", "Габриэле", "Габриэлу", "Габриэлой", "Габриэле" };
	Exam = "Габриэла одета в простое, изношенное, местами порванное, летнее платье.";
	dsc = function(s)
		if here() == pied then
			p "Габриэла выжидающе смотрит на тебя.";
		elseif s.topics > 5 then
			p "Габриэла стоит здесь и смотрит на море, её волосы развеваются на ветру.";
		else
			p "Габриэла стоит рядом и с интересом смотрит на тебя.";
		end
	end;
	before_TalkTo = function(s)
		if here() == pied and seen 'exitportal' then
			walk 'theend1'
			return
		end
		if s.topics == 0 then
			p [["Габриэла, расскажи о себе", -- решил поинтересоваться ты, -- "как ты сюда попала?"^]]
			p [["Меня зовут Габриэла Камински, я студентка", -- она на мгновение замялась, -- "Была студенткой, теперь я всё вижу в прошедшем времени, вот такой вот оптимизм", -- попыталась пошутить Габриэла.]];
		elseif s.topics == 1 then
			p [["Не падай духом, расскажи мне, что произошло", -- повторил ты.^^]]
			p [["В Католическом университете Люблина я изучала латынь", -- начала она, -- "В начале июня этого года я пошла в библиотеку чтобы взять книги, которые нам задали изучить, там всё и произошло".^^]]
			p [["Я думаю у меня состоится серьёзный разговор с библиотекарем, когда я выберусь отсюда", -- вставил ты. Габриэла уставилась на тебя.^^"Прости что перебил, прошу продолжай".^^"Взяв несколько книг, я уже возвращалась чтобы оформить читательский билет, как обратила внимание на открытую секцию старинных книг", -- продолжила она, -- "Любопытство взяло верх, я подошла к стеллажу, и мне практически сразу бросилась в глаза книга без названия на корешке, я аккуратно сняла её с полки и раскрыла, там я и наткнулась на страницу с заклинанием. Я поначалу приняла всё это как шутку, но я ошибалась..." -- Габриэла не смогла сдержать слёз.]];
		elseif s.topics == 2 then
			p [["Что ты знаешь об этом месте?" -- решил продолжить разговор ты.^^
				"Как я поняла, книга рассказывает о нескольких мирах. В самом начале говорится о перекрёстке миров и использовании врат, 
				и я уверена что речь шла об этом месте. Дальше шло описание нашего мира, и в конце было написано заклинание _"возврата"_, его я и прочла".]]
		elseif s.topics == 3 then
			p [["Ты знаешь как нам выбраться отсюда?" -- ты не перестаёшь задавать ей вопросы.^^
				"Я не уверена, но там есть некое... устройство", -- Габриэла указала в сторону странных каменных сооружений, -- "В книге упоминалось о нём, о том что для каждого мира свои врата".^^
				"Что-нибудь ещё?" -- с надеждой спрашиваешь ты.^^
				"Да, в самом начале описания нашего мира говорилось о том, что последний Камень Путей спрятан в башне, и использовать его можно только в крайнем случае".]]
		elseif s.topics == 4 then
			p [["А где эта башня?"^^
				"Вон она, ты можешь увидеть отсюда её вершину", -- она указала в сторону джунглей, -- "Только это не имеет значения, я не знаю как в неё попасть, десятки раз я обходила её вокруг, но там нет ни дверей, ни окон. Если там что-то и спрятано, отсюда этого не достать".^^
				"Оставайся здесь -- может, я что-нибудь придумаю".^
				"Прошу тебя", -- слёзы вновь появились на её глазах, -- "Я больше не выдержу здесь, мне надо обратно, я хочу домой"]]
		elseif s.topics == 5 then
			p [["Может, на этом острове есть что-нибудь ещё примечательное?" -- спрашиваешь ты.^^
				"Да... здесь внизу есть грот, но я никак не смогла придумать способ туда спуститься", -- говорит Габриэла.]];
			grotknow = 1;
		elseif s.topics == 6 then
			p [["А как ты здесь живёшь?" -- интересуешься ты.^^
				"Здесь нет никакой живности, но очень много вкусных и спелых фруктов, так что еды хватает. Да и тут недалеко есть ручей", -- отвечает она.]]
		else			
			p "Ты больше не знаешь, о чём расспросить Габриэлу.";
		end
		s.topics = s.topics + 1
	end;
	Kiss = "Ты бы не хотел портить отношения в начале знакомства.";
	alias [[ Kiss: Push, Pull, Attack, Take ]];
	Receive = function(s, w)
		if w == flower then
			remove(w, me())
			s.flower = true;
			p [[Ты даришь ей найденный у грота цветок: "Это тебе".^^
			"Спасибо. Очень приятно. Но не стоило".^^
			"Я знаю. Но мне почему-то кажется что это было необходимо сделать... уверен что-то подобное было необходимо тебе, после долгого одиночества".]]
		else
			p [[-- Я не понимаю -- говорит Габриэла.]];
		end
	end
}

pied = room {
	nam = "У пьедестала";
	dsc = "Ты стоишь возле некого каменного пьедестала с шестью углублениями. По сторонам возле пьедестала стоят каменные ворота в количестве 6 штук. Вокруг с запада и востока растут джунгли и зелёная трава.^^Отсюда можно вернуться на юг на утёс или пойти на север сквозь джунгли.";
	n_to = 'construct';
	s_to = 'cliffs';
	obj = { 'pedestal', 'gates' };
}

pedestal = obj {
	nam = _"пьедестал";
	attr [[ ~general ]];
	Exam = "Каменный диск на опоре, с полностью покрытой знаками поверхностью. На нём отчётливо видны 6 пустых углублений.";
	alias [[ ReceiveOn: Receive ]];
	ReceiveOn = function(s, w)
		if w == thestone and not s.general and gabriela.flower then
			s.general = true
			p [["Ян...", -- Габриэла обратила твоё внимание, -- "Подожди, не устанавливай камень".^^
				"Что такое?", -- взволновала тебя её просьба.^^
				"Я... я была не до конца искренна с тобой", -- она остановилась и перевела дыхание, -- "В книге было чётко сказано, что через портал может пройти только один человек, я считаю что ты обязан знать это".^^
				"И что нам делать?", -- в замешательстве спрашиваешь ты.^^
				"Я не знаю... у нас есть только два варианта. Если ты позволишь мне вернуться домой, просто поставь камень на пьедестал и скажи мне -- этот выбор за тобой".]]
			return
		end
		if w == thestone then
			move(w, s, me())
			put(exitportal);
			move(gabriela, pied, where(gabriela))
			if not gabriela.flower then
				walk 'theend3'
				return
			end
			p "Ты устанавливаешь Камень Путей на одно из углублений, происходит вспышка света и открывается портал.^^Габриэла с удивлением смотрит на то, что произошло.";
		end
	end;
}

exitportal = obj {
	nam = _"портал";
	Exam = "Большой яркий фиолетовый портал, ведущий неизвестно куда.";
	dsc = "Возле пьедестала открылся крупный фиолетовый портал.";
	before_Walk = function(s)
		walk 'theend2'
	end;
}

theend3 = room {
	nam = 'Конец';
	noparser = true;
	dsc = [[Ты устанавливаешь Камень Путей на одно из углублений, происходит вспышка света и открывается портал.^^
		Габриэла с удивлением смотрит на то, что произошло, но тут же устремляется к порталу и запрыгивает в него. 
		Портал мгновенно закрывается, как будто его и вовсе здесь не было.^^
		<i>Меня зовут Ян Зеленский, я нахожусь на острове уже несколько месяцев, я знаю что я оказался тут неспроста, 
		так же как и Габриэла... она была моим испытанием, и я провалил его. Мог ли я что-нибудь изменить? 
		Боюсь, что не узнаю уже никогда.</i>]]
}

theend2 = room {
	nam = 'Конец';
	noparser = true;
	dsc = [[Ты шагаешь в портал, оставляя Габриэлу позади. Ты знаешь, что не хочешь 
		такой участи для себя, ты свой выбор сделал, 
		ты использовал свой единственный шанс выбраться с этого, Вселенной забытого места.^^^
		<i>Такова история человека по имени Ян. Точно сказать нельзя, вернулся ли он домой или 
		застрял где-то на полпути, но одно известно точно: на следующий день, 1 сентября 1939 года, 
		Немцы вторглись в Польшу, и когда отряд противника вошёл в дом Яна Зеленского, дом был пуст, 
		а на втором этаже возле кресла лежала старая книга с таинственными символами...</i>]];
}
theend1 = room {
	nam = 'Конец';
	noparser = true;
	dsc = [[Ты уверенно берёшь Габриэлу за руку и подводишь к порталу: "После вас, мадам", -- улыбаешься ты.^^
		"Ты знаешь, что не будет никакого ,,после'', ведь когда я зайду, то портал закроется".^^
		"Я знаю, что из нас двоих зайти туда должна ты, и теперь я понимаю, что я был направлен сюда намеренно, 
			а ты -- случайная жертва обстоятельств. Пожалуйста, просто пройди через врата и ни о чём не волнуйся. Всё... Иди".^^
		И Габриэла ушла... ты даже не успел заметить, как быстро закрылся проход...^^^
		<i>Меня зовут Ян Зеленский, я нахожусь на острове уже несколько месяцев, я знаю что я оказался тут неспроста, 
		так же как и Габриэла... она была моим испытанием, и я прошёл его. 
		За время, проведённое здесь, я понял, что не так с этим местом... оно мертво, и я 
		уверен что подобное происходит с другими мирами, с которыми оно связано, 
		и скоро это случится и с моим миром... и мне надо постараться не допустить этого.</i>]]
}

grot1 = room {
	nam = "Грот";
	dsc = "Вход в грот находится в десяти метрах от воды. Стены каменные, но кем-то хорошо обработанные. Грот тянется вглубь острова на север. Лиана свисает сверху с обрыва.^^Здесь солнечный свет освещает небольшую площадь у входа, заросшую травой.";
	u_to = function(s)
		p "Ты цепляешься за лиану, но силы подводят тебя, и ты уже не можешь забраться обратно наверх."
	end;
	n_to = 'grot2';
	obj = { 'smallgrass', 'flower' };
}

smallgrass = obj {
	nam = _"трава|площадь";
	Exam = function(s)
		p "На входе в грот на площади, освещаемой солнцем, растёт трава."
		if not taken(flower) then
			p "Ты замечаешь, что среди травы также растёт и необычный жёлтый цветок.";
		end
	end;
	before_Exam = function(s)
		flower:enable()
	end
}

flower = obj {
	attr [[ takeable,~general ]];
	nam = _"цветок|~жёлтый цветок";
	Exam = "Прекрасный экзотический жёлтый цветок.";
	dsc = "В траве растёт красивый цветок. Удивительно, как он мог вырасти среди этой травы.";
	before_Smell = "Какой чудесный запах! Наверняка, цветок понравится Габриэле.";
	after_Take = function(s)
		if not s.general then
			s.general = true
			p "Ты осторожно срываешь цветок и берёшь его с собой.";
		end
	end
}:disable();

grot2 = room {
	nam = "Внутри грота";
	dsc =  "Каменные стены сближаются и здесь становится довольно тесно. На север ведёт кованая металлическая дверь, а также отсюда можно вернуться на юг ко входу в грот.";
	n_to = 'grotdoor';
	s_to = 'grot1';
	obj = { 'grotdoor' };
}

grotdoor = obj {
	nam = _"дверь|~металлическая дверь";
	attr [[ openable,door ]];
	Exam = function(s)
		p "Прочная кованая металлическая дверь с разнообразными узорами на ней.";
		if s.opened then
			p (s.when_open)
		else
			p (s.when_closed)
		end
	end;
	when_open = "Металлическая дверь открыта.";
	when_closed = "Металлическая дверь закрыта.";
	door_to = function(s)
		if here() == grot2 then
			return 'grot3'
		else
			return 'grot2'
		end
	end;
	after_Open = "Ты прикладываешь усилие и открываешь дверь.";
	after_Close ="Ты с усилием закрываешь металлическую дверь."
}

grot3 = room {
	nam = "Внутри грота";
	dsc = "Здесь грот заканчивается тупиком, единственная особенность этого места -- винтовая лестница, ведущая наверх. На юг ведёт металлическая дверь.";
	u_to = 'tower';
	s_to = 'grotdoor';
}

tower = room {
	nam = "Внутри башни";
	dsc = "Теперь ты находишься внутри башни, которую видел снаружи. ^^Винтовая лестница ведёт вниз, а маленькое окно ведёт на юг, наружу.";
	exit = function(s, t)
		if t == grot3 then
			return
		end
		if not have 'thestone' then
			p "Ты забыл забрать отсюда что-то важное.";
			return false
		end
		p "Ты вылазишь через открытое окно наружу.";
	end;
	s_to = 'window';
	d_to = 'grot3';
	obj = { 'window', 'stand' };
}

window = obj {
	nam = _"окно";
	attr [[ openable,door ]];
	door_to = 'construct';
	Exam = "Маленькое окно ведёт наружу на юг. Через него видны джунгли и часть строения, в котором ты находишься.";
	when_open = "Окно открыто.";
	when_closed = "Окно закрыто.";
	alias [[Exam: Search]];
}

stand = obj {
	nam = _"постамент";
	Exam = function(s)
		p "Каменный постамент высотой по пояс."
		if exist('thestone', s) then
			p "На нём лежит плоский круглый камень.";
		end
	end;
	dsc =  "Возле северной стены комнаты возвышается каменный постамент.";
	obj = { 'thestone' };
}

thestone = obj {
	attr [[ takeable ]];
	nam = _"камень";
	Exam = "Гладкий плоский камень, как в игре го, только крупный. Это должен быть тот самый Камень Путей.";
	before_Take = function(s)
		if here() == pied then
			p "Тебе не нужно брать камень -- портал уже открыт.";
		end
	end;
	after_Take = function(s)
		move(gabriela, pied, cliffs)
		p [[Ты забрал камень.]]
	end
}

put(grotdoor, grot2)
put(grotdoor, grot3)


jungle = obj {
	nam = _"джунгли|~лес|~зелёные джунгли";
	Exam = "Здесь повсюду яркие зелёные джунгли, которые закрывают доступ к остальной части острова.";
	Smell = function(s) end;
	Default = [[Джунгли выглядят непроходимыми.]]
}

put(jungle, cliffs);
put(jungle, construct);
put(jungle, pied);
put(jungle, tower);

gates = obj {
	nam = _'ворота';
	Exam = "Они выглядят как обычные каменные ворота.";
}

construct = room {
	nam = "Возле сооружения";
	dsc = "Перед тобой предстаёт необычное гладкое сооружение, как будто бы вкопанное в землю. Из его верхушки возвышается башня. Здесь всё окружают сплошные джунгли, и отсюда можно вернуться только обратно на юг к пьедесталу.";
	s_to = 'pied';
	obj = {'building', 'liana'};
}

liana = obj {
	attr [[takeable,dropable]];
	nam = _"лиана|~верёвка";
	Exam = "Прочная лиана с одного из деревьев.";
	dsc = "Здесь лежит длинная и с виду прочная лиана.";
	Tie = function(s, second)
		if second == tree then
			tree.general = true
			remove(s, me())
			p "Ты привязываешь лиану к дереву и сбрасываешь другой конец вниз с обрыва.";
		elseif second == gabriela then
			p [["Ты что, из меня рабыню захотел сделать?.."]]
		end
	end;
	after_Take = "Ты подбираешь лиану с земли.";
	after_Drop = "Ты бросаешь лиану обратно на землю.";
}
building = obj {
	nam = _"сооружение|башня";
	Exam = "Можно представить, как будто бы это большой шар, который вкопан в землю, но на поверхности торчит едва ли его половина. Он сделан из очень гладкого камня. Наверх из этого шара поднимается каменная башня, испещрённая щелями. Башня заканчивается расширением, напоминающим очень маленькую комнатку с оконцем.";
}

---------------------------------------

parser.events.after_Sit = function(s, w)
	p ([[Тебе не хочется садиться ]]..s:word(2)..' '..w:M 'вн'..'.')
end

parser.events.after_Stand = function(s, w)
	p "Ты и так стоишь."
end

parser.events.Kiss = function(s, w)
	p ([[Тебе не хочется целовать ]]..w:M 'вн'..'.')
end

parser.events.Say = function(s, w)
	if not w or w == '' then
		p [[Ты промолчал.]]
	else
		if (w:find("AMORPHUS") and w:find("TELEPORCIUS") and bookrcvd ~= 0)
			or 
			(w:find("аморфус") and w:find("телепорциус") and bookrcvd ~= 0 )
		then
			if here() == study or here() == floor1 then
					walk 'teleporting'
					return
				else
					p "Ты вновь произносишь AMORPHUS TELEPORCIUS, но ничего особенного не происходит.";
				end
		else
			p ("Ты произнёс: "..w)
		end
	end
end

parser.events.Help = [[
	Эта игра была написана за один день, специально для конкурса Вжж-8.^^
	Хотим вас заверить, что история, с которой вы познакомитесь, окажется маленьким вступлением к эпосу, который родился в наших умах, но столь короткие сроки и мизерный бюджет ограничили нас в возможности показать всё это в развёрнутом виде. Но возможно, что всё ещё впереди...^^
	<r>Сайт: http://rinform.stormway.ru/^Пишите письма на: yandexx[at]gmail.com.</r>^
	<i><r>yandexx</r></i>^^
	Выражаю огромную благодарность Yandexx'у за разрешение перенести игру на INSTEAD
	для демонстрации мета-парсера.^
	<i><r>Пётр Косых</r></i>
]]

Verb { "Help", "~помощь" }
Verb { "Help", "~инфо" }
Verb { "Sit %3", "сесть", "в|на", "{obj}вн" };
Verb { "Stand", "встать" };
Verb { "Say %2", "сказать", "{text}" };
Verb { "Say %2", "~произнести", "{text}" };
Verb { "Kiss %2", "~поцеловать", "{obj}вн" };
Verb { "Kiss %2", "~целовать", "{obj}вн" };
Verb { "Take %2", "~сорвать", "{obj}вн" };
